SizedQueue#tmax=000000000000000
09/01/2011 10:56 PM - Glass_saga (Masaki Matsushita)

Status: Closed

Priority: Normal

Assignee: nagachika (Tomoyuki Chikanaga)

Target version: 2.0.0

ruby -v: ruby 1.9.4dev (2011-09-01 trunk 33157) |Backport:
[x86_64-linux]

Description

=begin

SizedQueue#max=100000000000000000

require 'thread'

sq = SizedQueue.new(1)

sg.max = -1

p sq.max #=> -1

sq.push(nil) #=> deadlock detected

SizedQueue.newl1000000000000000000000000000sizedQueuemax=000000000000000000000
00000000000oooO
patch[00000

=end

Associated revisions

Revision a46d29bb - 09/03/2011 09:46 AM - nagachika (Tomoyuki Chikanaga)

e lib/thread.rb (SizedQueue#max=) raise ArgumentError if max is not
positive number. patch by Masaki Matsushita.
[ruby-dev:44449] [Bug #5259]

e test/thread/test_queue.rb (test_sized_queue_initialize,
test_sized_queue_assign_max): add tests for it.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@33170 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 09/03/2011 09:09 AM - nagachika (Tomoyuki Chikanaga)
- Status changed from Open to Assigned

- Assignee set to nagachika (Tomoyuki Chikanaga)

0000000000000000Da00000banno0nDanDa
0000bopooboooo

#2 - 09/03/2011 06:46 PM - nagachika (Tomoyuki Chikanaga)
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r33170.
Masaki, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.
positive number. patch by Masaki Matsushita.
[ruby-dev:44449] [Bug #5259]

e test/thread/test_queue.rb (test_sized_queue_initialize,
test_sized_queue_assign_max): add tests for it.

Files
